Supported Operating Systems

From the makers of InspIRCd.
Jump to: navigation, search

InspIRCd is known to work on the following operating systems. Note that other operating systems may work but we only list on this table systems which we have personally tested. All tested systems are x86 systems unless otherwise noted.

Systems with a Package have an InspIRCd package available in their package managers.

Systems with a OldPackage have an outdated InspIRCd package available in their package managers

Systems with a NoPackage have no InspIRCd package available in their package managers

BSD

Name Version Supported Package Available Notes
FreeBSD 4.10 and newer OldPackage The FreeBSD ports collection often has an outdated version of InspIRCd
NetBSD 2.0 and newer OldPackage none
OpenBSD 3.6 and newer NoPackage none

Linux

Name Version Supported Package Available Notes
ArchLinux ? Package Available from AUR
CentOS ? NoPackage none
Debian ? OldPackage An InspIRCd 2.0 package has been submitted
Fedora ? NoPackage none
Gentoo ? Package none
Mandriva ? NoPackage none
Red Hat Enterprise Linux ? NoPackage none
Ubuntu ? OldPackage Inherits its InspIRCd package from Debian
SUSE ? Package No 2.0 package yet

Misc

Name Version Supported Package Available Notes
HP-UX 11.0 and newer NoPackage none
Mac OS X 10.4 and newer Package none
Microsoft Windows 2000 and newer NoPackage none
Nexenta OS 10.0 and newer NoPackage none
Solaris 1.0 and newer NoPackage none